D-Bus: DBusTimeoutList Struct Reference

D-Bus 1.14.6

Data Fields
DBusTimeoutList Struct Reference
D-Bus secret internal implementation details » DBusTimeout implementation details

DBusTimeoutList implementation details. More...

## Data Fields
DBusList * | timeouts
| Timeout objects.
DBusAddTimeoutFunction | add_timeout_function
| Callback for adding a timeout.
DBusRemoveTimeoutFunction | remove_timeout_function
| Callback for removing a timeout.
DBusTimeoutToggledFunction | timeout_toggled_function
| Callback when timeout is enabled/disabled or changes interval.
void * | timeout_data
| Data for timeout callbacks.
DBusFreeFunction | timeout_free_data_function
| Free function for timeout callback data.

## Detailed Description

DBusTimeoutList implementation details.

All fields are private.

Definition at line 180 of file dbus-timeout.c.

## Field Documentation

## ◆ add_timeout_function

DBusAddTimeoutFunction DBusTimeoutList::add_timeout_function

Callback for adding a timeout.

Definition at line 184 of file dbus-timeout.c.

Referenced by _dbus_timeout_list_add_timeout(), and _dbus_timeout_list_set_functions().

## ◆ remove_timeout_function

DBusRemoveTimeoutFunction DBusTimeoutList::remove_timeout_function

Callback for removing a timeout.

Definition at line 185 of file dbus-timeout.c.

Referenced by _dbus_timeout_list_remove_timeout(), and _dbus_timeout_list_set_functions().

## ◆ timeout_data

void* DBusTimeoutList::timeout_data

Data for timeout callbacks.

Definition at line 187 of file dbus-timeout.c.

Referenced by _dbus_timeout_list_add_timeout(), _dbus_timeout_list_remove_timeout(), _dbus_timeout_list_set_functions(), and _dbus_timeout_list_toggle_timeout().

## ◆ timeout_free_data_function

DBusFreeFunction DBusTimeoutList::timeout_free_data_function

Free function for timeout callback data.

Definition at line 188 of file dbus-timeout.c.

Referenced by _dbus_timeout_list_set_functions().

## ◆ timeout_toggled_function

DBusTimeoutToggledFunction DBusTimeoutList::timeout_toggled_function

Callback when timeout is enabled/disabled or changes interval.

Definition at line 186 of file dbus-timeout.c.

Referenced by _dbus_timeout_list_set_functions(), and _dbus_timeout_list_toggle_timeout().

## ◆ timeouts

DBusList* DBusTimeoutList::timeouts

Timeout objects.

Definition at line 182 of file dbus-timeout.c.

Referenced by _dbus_timeout_list_add_timeout(), _dbus_timeout_list_free(), _dbus_timeout_list_remove_timeout(), and _dbus_timeout_list_set_functions().

The documentation for this struct was generated from the following file:

- dbus-timeout.c